Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs
lazy
Meta » Datatype » list_like

## Typedefs
template<typename Sequence >
using | meta::lazy::as_list = defer< as_list, Sequence >
template<typename L , typename N >
using | meta::lazy::at = defer< at, L, N >
template<typename L >
using | meta::lazy::back = defer< back, L >
template<typename L >
using | meta::lazy::empty = defer< empty, L >
template<typename Pair >
using | meta::lazy::first = defer< first, Pair >
template<typename L >
using | meta::lazy::front = defer< front, L >
template<typename N , typename T = void>
using | meta::lazy::repeat_n = defer< repeat_n, N, T >
template<std::size_t N, typename T = void>
using | meta::lazy::repeat_n_c = defer< repeat_n, meta::size_t< N >, T >
template<typename Pair >
using | meta::lazy::second = defer< second, Pair >
template<typename L >
using | meta::lazy::size = defer< size, L >

## Detailed Description

## Typedef Documentation

## ◆ as_list

template<typename Sequence >

using meta::lazy::as_list = typedef defer<as_list, Sequence>

`#include <meta/meta.hpp>`

See also
  'meta::as_list'

## ◆ at

template<typename L , typename N >

using meta::lazy::at = typedef defer<at, L, N>

`#include <meta/meta.hpp>`

See also
  'meta::at'

## ◆ back

template<typename L >

using meta::lazy::back = typedef defer<back, L>

`#include <meta/meta.hpp>`

See also
  'meta::back'

## ◆ empty

template<typename L >

using meta::lazy::empty = typedef defer<empty, L>

`#include <meta/meta.hpp>`

See also
  'meta::empty'

## ◆ first

template<typename Pair >

using meta::lazy::first = typedef defer<first, Pair>

`#include <meta/meta.hpp>`

See also
  'meta::first'

## ◆ front

template<typename L >

using meta::lazy::front = typedef defer<front, L>

`#include <meta/meta.hpp>`

See also
  'meta::front'

## ◆ repeat_n

template<typename N , typename T = void>

using meta::lazy::repeat_n = typedef defer<repeat_n, N, T>
| related

`#include <meta/meta.hpp>`

See also
  'meta::repeat_n'

## ◆ repeat_n_c

template<std::size_t N, typename T = void>

using meta::lazy::repeat_n_c = typedef defer<repeat_n, meta::size_t<N>, T>

`#include <meta/meta.hpp>`

See also
  'meta::repeat_n_c'

## ◆ second

template<typename Pair >

using meta::lazy::second = typedef defer<second, Pair>

`#include <meta/meta.hpp>`

See also
  'meta::second'

## ◆ size

template<typename L >

using meta::lazy::size = typedef defer<size, L>

`#include <meta/meta.hpp>`

See also
  'meta::size'